msgpack::adaptor::object< std::array< char, N > > Struct Template Reference

`#include <array_char.hpp>`

## Public Member Functions

void | operator() (msgpack::object &o, const std::array< char, N > &v) const

## Member Function Documentation

## operator()()

template<std::size_t N>

void msgpack::adaptor::object< std::array< char, N > >::operator() | ( | msgpack::object< std::array< char, N > > & | o,
|  | const std::array< char, N > & | v
| ) |  | const

inline

References msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::checked_get_container_size(), msgpack::object_bin::ptr, msgpack::type::size(), msgpack::object_bin::size, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/cpp11/array_char.hpp